package com.bgy.sms.config;

public enum ResponseCode {
    // 系统判断错误
    SUCCESS("SUCCESS", "处理成功"),
    UNKNOWN_TEMPLATE_TYPE("500", "未知模板类型"),
    TEMPLATE_ALREADY_EXISTED("500", "DM Hub模板ID冲突"),
    SYSTEM_ERROR("99", "系统异常："),
    NO_TEMPLATE("error", "未找到短信模板"),
    DMHUB_NO_DATA("error", "没有请求数据"),

    // 渠道异常错误
    UPSTREAM_FAIL("US01", "渠道交易失败"),
    UPSTREAM_UNKNOWN_MODEL("US01", "未知通知模式"),
    UPSTREAM_BLANK("US00", "渠道同步响应为空");


    private String code;
    private String msg;

    ResponseCode(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }


    public String getMsg() {
        return msg;
    }
}
